日程設定更新
curl --request PATCH \
--url https://api.utage-system.com/v1/events/{project_id}/calendar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 16384,
"duration_before": 16383,
"duration_after": 16383,
"reserve_quota_interval": 123,
"capacity": 32768,
"members": [
{
"id": "<string>"
}
],
"member_auto_assignment": true,
"member_priorities": [
{
"assignment_type": "display_order",
"members": [
{
"id": "<string>"
}
]
}
],
"use_member_profile": true,
"use_zoom": true,
"use_holiday": true,
"calendar_auto_from": 16384,
"calendar_auto_days": 45,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 16384,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
]
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/calendar"
payload = {
"duration": 16384,
"duration_before": 16383,
"duration_after": 16383,
"reserve_quota_interval": 123,
"capacity": 32768,
"members": [{ "id": "<string>" }],
"member_auto_assignment": True,
"member_priorities": [
{
"assignment_type": "display_order",
"members": [{ "id": "<string>" }]
}
],
"use_member_profile": True,
"use_zoom": True,
"use_holiday": True,
"calendar_auto_from": 16384,
"calendar_auto_days": 45,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 16384,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": True,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration: 16384,
duration_before: 16383,
duration_after: 16383,
reserve_quota_interval: 123,
capacity: 32768,
members: [{id: '<string>'}],
member_auto_assignment: true,
member_priorities: [{assignment_type: 'display_order', members: [{id: '<string>'}]}],
use_member_profile: true,
use_zoom: true,
use_holiday: true,
calendar_auto_from: 16384,
calendar_auto_days: 45,
calendar_period_date_from: '<string>',
calendar_period_date_to: '<string>',
calendar_period_deadline: 16384,
day_of_week_schedules: [{day_of_week: 3, time_from: '<string>', time_to: '<string>'}],
use_specified_date_schedule: true,
specified_date_schedules: [
{
specified_date: '<string>',
time_from: '<string>',
time_to: '<string>',
is_opened: true
}
]
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'duration' => 16384,
'duration_before' => 16383,
'duration_after' => 16383,
'reserve_quota_interval' => 123,
'capacity' => 32768,
'members' => [
[
'id' => '<string>'
]
],
'member_auto_assignment' => true,
'member_priorities' => [
[
'assignment_type' => 'display_order',
'members' => [
[
'id' => '<string>'
]
]
]
],
'use_member_profile' => true,
'use_zoom' => true,
'use_holiday' => true,
'calendar_auto_from' => 16384,
'calendar_auto_days' => 45,
'calendar_period_date_from' => '<string>',
'calendar_period_date_to' => '<string>',
'calendar_period_deadline' => 16384,
'day_of_week_schedules' => [
[
'day_of_week' => 3,
'time_from' => '<string>',
'time_to' => '<string>'
]
],
'use_specified_date_schedule' => true,
'specified_date_schedules' => [
[
'specified_date' => '<string>',
'time_from' => '<string>',
'time_to' => '<string>',
'is_opened' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/calendar"
payload := strings.NewReader("{\n \"duration\": 16384,\n \"duration_before\": 16383,\n \"duration_after\": 16383,\n \"reserve_quota_interval\": 123,\n \"capacity\": 32768,\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"member_auto_assignment\": true,\n \"member_priorities\": [\n {\n \"assignment_type\": \"display_order\",\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"use_member_profile\": true,\n \"use_zoom\": true,\n \"use_holiday\": true,\n \"calendar_auto_from\": 16384,\n \"calendar_auto_days\": 45,\n \"calendar_period_date_from\": \"<string>\",\n \"calendar_period_date_to\": \"<string>\",\n \"calendar_period_deadline\": 16384,\n \"day_of_week_schedules\": [\n {\n \"day_of_week\": 3,\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\"\n }\n ],\n \"use_specified_date_schedule\": true,\n \"specified_date_schedules\": [\n {\n \"specified_date\": \"<string>\",\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\",\n \"is_opened\": true\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.utage-system.com/v1/events/{project_id}/calendar")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"duration\": 16384,\n \"duration_before\": 16383,\n \"duration_after\": 16383,\n \"reserve_quota_interval\": 123,\n \"capacity\": 32768,\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"member_auto_assignment\": true,\n \"member_priorities\": [\n {\n \"assignment_type\": \"display_order\",\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"use_member_profile\": true,\n \"use_zoom\": true,\n \"use_holiday\": true,\n \"calendar_auto_from\": 16384,\n \"calendar_auto_days\": 45,\n \"calendar_period_date_from\": \"<string>\",\n \"calendar_period_date_to\": \"<string>\",\n \"calendar_period_deadline\": 16384,\n \"day_of_week_schedules\": [\n {\n \"day_of_week\": 3,\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\"\n }\n ],\n \"use_specified_date_schedule\": true,\n \"specified_date_schedules\": [\n {\n \"specified_date\": \"<string>\",\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\",\n \"is_opened\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"duration\": 16384,\n \"duration_before\": 16383,\n \"duration_after\": 16383,\n \"reserve_quota_interval\": 123,\n \"capacity\": 32768,\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"member_auto_assignment\": true,\n \"member_priorities\": [\n {\n \"assignment_type\": \"display_order\",\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"use_member_profile\": true,\n \"use_zoom\": true,\n \"use_holiday\": true,\n \"calendar_auto_from\": 16384,\n \"calendar_auto_days\": 45,\n \"calendar_period_date_from\": \"<string>\",\n \"calendar_period_date_to\": \"<string>\",\n \"calendar_period_deadline\": 16384,\n \"day_of_week_schedules\": [\n {\n \"day_of_week\": 3,\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\"\n }\n ],\n \"use_specified_date_schedule\": true,\n \"specified_date_schedules\": [\n {\n \"specified_date\": \"<string>\",\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\",\n \"is_opened\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"duration": 123,
"duration_before": 123,
"duration_after": 123,
"reserve_quota_interval": 123,
"capacity": 123,
"member_join_type": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>"
}
],
"member_auto_assignment": true,
"member_assignment_type": "<string>",
"member_priorities": [
{
"assignment_type": "display_order",
"members": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"use_member_profile": true,
"use_zoom": true,
"use_holiday": true,
"calendar_display_type": "<string>",
"calendar_auto_from": 123,
"calendar_auto_days": 123,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 123,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
]
}
}{
"error": {
"code": "invalid_event_type",
"message": "セミナー・説明会タイプのイベントにはカレンダー設定がありません"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"members.0.id": [
"指定されたイベントメンバーが存在しません"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}日程設定
日程設定更新
個別相談・個別予約タイプのイベントの日程設定(画面の「日程設定」)を更新します(セミナー・説明会タイプでは 400(invalid_event_type))。指定したフィールドのみを更新する部分更新です。リクエストに含めなかったフィールドは既存の値が維持されます。取得応答をそのまま送り返すこともできます(値が変わらない項目は検証されません)。
members・day_of_week_schedules・member_prioritiesは指定時にすべて置き換え(空配列はすべて削除)、specified_date_schedulesは本日以降の設定だけを置き換えます(過去の設定は保持)membersの担当者IDはGET /event-membersで取得します。参加方式がone(担当者1名のみ参加)のときは1件以下ですmember_prioritiesは更新後の参加方式がone_of_themで割り当て順がpriorityのときだけ保存されます。それ以外の状態への更新で参加方式・割り当て順・members・member_prioritiesのいずれかを指定すると、優先順位はすべて削除されます。グループの担当者は更新後のmembersに含まれている必要があり、全グループを通して重複できません- 時間は「HH:mm」(または「HH:mm:00」)で 00:00〜24:00 の15分刻みです。応答では「HH:mm:ss」になります
- 日程の表示期間を変更するときは、更新後の状態で
periodなら期間の開始日・終了日、autoならいつから・何日分を表示するかが必要です - 取得応答が null の項目は null のまま送り返せますが、値が設定されている項目を null にはできません(
calendar_period_date_from・calendar_period_date_toを除く)
日程設定更新
curl --request PATCH \
--url https://api.utage-system.com/v1/events/{project_id}/calendar \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"duration": 16384,
"duration_before": 16383,
"duration_after": 16383,
"reserve_quota_interval": 123,
"capacity": 32768,
"members": [
{
"id": "<string>"
}
],
"member_auto_assignment": true,
"member_priorities": [
{
"assignment_type": "display_order",
"members": [
{
"id": "<string>"
}
]
}
],
"use_member_profile": true,
"use_zoom": true,
"use_holiday": true,
"calendar_auto_from": 16384,
"calendar_auto_days": 45,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 16384,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
]
}
'import requests
url = "https://api.utage-system.com/v1/events/{project_id}/calendar"
payload = {
"duration": 16384,
"duration_before": 16383,
"duration_after": 16383,
"reserve_quota_interval": 123,
"capacity": 32768,
"members": [{ "id": "<string>" }],
"member_auto_assignment": True,
"member_priorities": [
{
"assignment_type": "display_order",
"members": [{ "id": "<string>" }]
}
],
"use_member_profile": True,
"use_zoom": True,
"use_holiday": True,
"calendar_auto_from": 16384,
"calendar_auto_days": 45,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 16384,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": True,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": True
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
duration: 16384,
duration_before: 16383,
duration_after: 16383,
reserve_quota_interval: 123,
capacity: 32768,
members: [{id: '<string>'}],
member_auto_assignment: true,
member_priorities: [{assignment_type: 'display_order', members: [{id: '<string>'}]}],
use_member_profile: true,
use_zoom: true,
use_holiday: true,
calendar_auto_from: 16384,
calendar_auto_days: 45,
calendar_period_date_from: '<string>',
calendar_period_date_to: '<string>',
calendar_period_deadline: 16384,
day_of_week_schedules: [{day_of_week: 3, time_from: '<string>', time_to: '<string>'}],
use_specified_date_schedule: true,
specified_date_schedules: [
{
specified_date: '<string>',
time_from: '<string>',
time_to: '<string>',
is_opened: true
}
]
})
};
fetch('https://api.utage-system.com/v1/events/{project_id}/calendar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.utage-system.com/v1/events/{project_id}/calendar",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'duration' => 16384,
'duration_before' => 16383,
'duration_after' => 16383,
'reserve_quota_interval' => 123,
'capacity' => 32768,
'members' => [
[
'id' => '<string>'
]
],
'member_auto_assignment' => true,
'member_priorities' => [
[
'assignment_type' => 'display_order',
'members' => [
[
'id' => '<string>'
]
]
]
],
'use_member_profile' => true,
'use_zoom' => true,
'use_holiday' => true,
'calendar_auto_from' => 16384,
'calendar_auto_days' => 45,
'calendar_period_date_from' => '<string>',
'calendar_period_date_to' => '<string>',
'calendar_period_deadline' => 16384,
'day_of_week_schedules' => [
[
'day_of_week' => 3,
'time_from' => '<string>',
'time_to' => '<string>'
]
],
'use_specified_date_schedule' => true,
'specified_date_schedules' => [
[
'specified_date' => '<string>',
'time_from' => '<string>',
'time_to' => '<string>',
'is_opened' => true
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.utage-system.com/v1/events/{project_id}/calendar"
payload := strings.NewReader("{\n \"duration\": 16384,\n \"duration_before\": 16383,\n \"duration_after\": 16383,\n \"reserve_quota_interval\": 123,\n \"capacity\": 32768,\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"member_auto_assignment\": true,\n \"member_priorities\": [\n {\n \"assignment_type\": \"display_order\",\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"use_member_profile\": true,\n \"use_zoom\": true,\n \"use_holiday\": true,\n \"calendar_auto_from\": 16384,\n \"calendar_auto_days\": 45,\n \"calendar_period_date_from\": \"<string>\",\n \"calendar_period_date_to\": \"<string>\",\n \"calendar_period_deadline\": 16384,\n \"day_of_week_schedules\": [\n {\n \"day_of_week\": 3,\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\"\n }\n ],\n \"use_specified_date_schedule\": true,\n \"specified_date_schedules\": [\n {\n \"specified_date\": \"<string>\",\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\",\n \"is_opened\": true\n }\n ]\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.utage-system.com/v1/events/{project_id}/calendar")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"duration\": 16384,\n \"duration_before\": 16383,\n \"duration_after\": 16383,\n \"reserve_quota_interval\": 123,\n \"capacity\": 32768,\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"member_auto_assignment\": true,\n \"member_priorities\": [\n {\n \"assignment_type\": \"display_order\",\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"use_member_profile\": true,\n \"use_zoom\": true,\n \"use_holiday\": true,\n \"calendar_auto_from\": 16384,\n \"calendar_auto_days\": 45,\n \"calendar_period_date_from\": \"<string>\",\n \"calendar_period_date_to\": \"<string>\",\n \"calendar_period_deadline\": 16384,\n \"day_of_week_schedules\": [\n {\n \"day_of_week\": 3,\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\"\n }\n ],\n \"use_specified_date_schedule\": true,\n \"specified_date_schedules\": [\n {\n \"specified_date\": \"<string>\",\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\",\n \"is_opened\": true\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.utage-system.com/v1/events/{project_id}/calendar")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"duration\": 16384,\n \"duration_before\": 16383,\n \"duration_after\": 16383,\n \"reserve_quota_interval\": 123,\n \"capacity\": 32768,\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ],\n \"member_auto_assignment\": true,\n \"member_priorities\": [\n {\n \"assignment_type\": \"display_order\",\n \"members\": [\n {\n \"id\": \"<string>\"\n }\n ]\n }\n ],\n \"use_member_profile\": true,\n \"use_zoom\": true,\n \"use_holiday\": true,\n \"calendar_auto_from\": 16384,\n \"calendar_auto_days\": 45,\n \"calendar_period_date_from\": \"<string>\",\n \"calendar_period_date_to\": \"<string>\",\n \"calendar_period_deadline\": 16384,\n \"day_of_week_schedules\": [\n {\n \"day_of_week\": 3,\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\"\n }\n ],\n \"use_specified_date_schedule\": true,\n \"specified_date_schedules\": [\n {\n \"specified_date\": \"<string>\",\n \"time_from\": \"<string>\",\n \"time_to\": \"<string>\",\n \"is_opened\": true\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"data": {
"duration": 123,
"duration_before": 123,
"duration_after": 123,
"reserve_quota_interval": 123,
"capacity": 123,
"member_join_type": "<string>",
"members": [
{
"id": "<string>",
"name": "<string>"
}
],
"member_auto_assignment": true,
"member_assignment_type": "<string>",
"member_priorities": [
{
"assignment_type": "display_order",
"members": [
{
"id": "<string>",
"name": "<string>"
}
]
}
],
"use_member_profile": true,
"use_zoom": true,
"use_holiday": true,
"calendar_display_type": "<string>",
"calendar_auto_from": 123,
"calendar_auto_days": 123,
"calendar_period_date_from": "<string>",
"calendar_period_date_to": "<string>",
"calendar_period_deadline": 123,
"day_of_week_schedules": [
{
"day_of_week": 3,
"time_from": "<string>",
"time_to": "<string>"
}
],
"use_specified_date_schedule": true,
"specified_date_schedules": [
{
"specified_date": "<string>",
"time_from": "<string>",
"time_to": "<string>",
"is_opened": true
}
]
}
}{
"error": {
"code": "invalid_event_type",
"message": "セミナー・説明会タイプのイベントにはカレンダー設定がありません"
}
}{
"error": {
"code": "unauthorized",
"message": "APIキーが無効です"
}
}{
"error": {
"code": "not_found",
"message": "ページが見つかりません"
}
}{
"error": {
"code": "validation_error",
"message": "入力内容に誤りがあります",
"details": {
"members.0.id": [
"指定されたイベントメンバーが存在しません"
]
}
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "レート制限を超過しました"
}
}PATCH
https://api.utage-system.com/v1/events/{project_id}/calendar
Body
application/json
指定した項目だけを更新します。取得応答の値をそのまま送り返した項目(値が変わらない項目)は検証されません。
members・day_of_week_schedules・member_priorities は指定時にすべて置き換え(空配列はすべて削除)、specified_date_schedules は本日以降の設定だけを置き換えます(過去の設定は保持)。
取得応答が null の項目は null のまま送り返せますが、値が設定されている項目を null にはできません(calendar_period_date_from・calendar_period_date_to を除く)。
優先順位(配列の順が優先度)。更新後の参加方式が one_of_them で割り当て順が priority のときだけ保存され、それ以外の状態への更新では内容を見ずにすべて削除されます。
各グループの担当者は members(更新後の担当者)に含まれている必要があり、全グループを通して重複できません。members にいてここに無い担当者は最後のグループの末尾に自動で加わります。
省略時は既存の優先順位を保持します(members を同時に変更したときは更新後の担当者に合わせて整えます)。
Maximum array length:
100Show child attributes
Show child attributes